package com.steering.pss.ydm.entity;

/**
 * 数据库表YDM_ZC_OUTLIST所对应的实体类（生成工具：代码生成器2.4）
 * @author PC-201412141732 date 2015-10-19
 */
public class YdmZcOutlistEntity1 {
    /**
     * 装车序号
     */
    private String loadvehicleSqe ;
    /**
     * 装车单号
     */
    private String loadvehicleNo ;
    /**
     * 发货时间
     */
    private String senTime ;
    /**
     * 有效标志0发运无效；1发运有效；2确认有效，3,传送发运明细到销售和质检
     */
    private String validflagMat ;

    public String getLoadvehicleSqe() {
        return loadvehicleSqe;
    }

    public void setLoadvehicleSqe(String loadvehicleSqe) {
        this.loadvehicleSqe = loadvehicleSqe;
    }

    public String getLoadvehicleNo() {
        return loadvehicleNo;
    }

    public void setLoadvehicleNo(String loadvehicleNo) {
        this.loadvehicleNo = loadvehicleNo;
    }

    public String getSenTime() {
        return senTime;
    }

    public void setSenTime(String senTime) {
        this.senTime = senTime;
    }

    public String getValidflagMat() {
        return validflagMat;
    }

    public void setValidflagMat(String validflagMat) {
        this.validflagMat = validflagMat;
    }

    /**
     * 结算日期（年月）例201510
     */
    private String balYearMonth;
    /**
     * 装车皮倒运提货单号
     */
    private String mBillNo;
    /**
     * 判定炉号
     */
    private String judgeStoveNo;
    /**
     * 批号（炉批号）
     */
    private String batchNo;
    /**
     * 组号(规格分的组号)--炉批行----性能批号(重点)---
     */
    private String batchGroudNo;
    /**
     * 物料码
     */
    private String materialNo;
    /**
     * 物料描叙
     */
    private String materialName;
    /**
     * 品名代码
     */
    private String produccode;
    /**
     * 品名描述
     */
    private String producname;
    /**
     * 标准代码
     */
    private String stdCode;
    /**
     * 标准名称
     */
    private String stdName;
    /**
     * 钢种代码
     */
    private String gradecode;
    /**
     * 钢种名称
     */
    private String gradename;
    /**
     * 钢级(牌号)代码
     */
    private String steelcode;
    /**
     * 钢级(牌号)名称
     */
    private String steelname;
    /**
     * 标准类别代码
     */
    private String stdStyle;
    /**
     * 标准类别描述(PSL1....)
     */
    private String stdStyleDesc;
    /**
     * 产品规格代码
     */
    private String specCode;
    /**
     * 产品规格描述
     */
    private String specName;
    /**
     * 扣型代码
     */
    private String modelCode;
    /**
     * 扣型描述
     */
    private String modelDesc;
    /**
     * 生产合同号
     */
    private String proOrderNo;
    /**
     * 产线代码（机组）
     */
    private String plineCode;
    /**
     * 产线描述
     */
    private String plineName;
    /**
     * 外径(实际)
     */
    private String actDimater;
    /**
     * 壁厚(实际)
     */
    private String actHeight;
    /**
     * 长度(实际)
     */
    private String actLen;
    /**
     * 长度下限(实际)
     */
    private String actLenMin;
    /**
     * 长度上限(实际)
     */
    private String actLenMax;
    /**
     * 材料支数(实际)
     */
    private String actCount;
    /**
     * 材料实重(实际)
     */
    private String actWeight;
    /**
     * 材料理论重量(实际)
     */
    private String actTheoryWeight;
    /**
     * 所属权单位代码
     */
    private String belongCode;
    /**
     * 所属权单位
     */
    private String belongName;
    /**
     * 条码号
     */
    private String barCode;
    /**
     * (出库)仓库代码
     */
    private String storageNo;
    /**
     * (出库)库位代码
     */
    private String locationNo;
    /**
     * (出库)层号
     */
    private String laryNo;
    /**
     * (出库)位置
     */
    private String locNo;
    /**
     * (出库)仓库类型（8003 离线库 、投料库、中间库、在线库、成品库）
     */
    private String storageAttr;
    /**
     * (出库)仓库类型描述
     */
    private String storageAttrName;
    /**
     * (出库)库类别代码(8002 管、坯、原料库、合金辅料库、工具库
     */
    private String storageTypeNo;
    /**
     * (出库)库类别代码描述
     */
    private String storageTypeName;
    /**
     * (出库)作业科室代码
     */
    private String managementNo;
    /**
     * (出库)作业科室名称
     */
    private String managementName;
    /**
     * (目标)仓库代码
     */
    private String tarStorageNo;
    /**
     * (目标)库位代码
     */
    private String tarLocationNo;
    /**
     * (目标)层号
     */
    private String tarLaryNo;
    /**
     * (目标)位置
     */
    private String tarLocNo;
    /**
     * (目标)仓库类型（8003 离线库 、投料库、中间库、在线库、成品库）
     */
    private String tarStorageAttr;
    /**
     * (目标)仓库类型描述
     */
    private String tarStorageAttrName;
    /**
     * (目标)库类别代码(8002 管、坯、原料库、合金辅料库、工具库
     */
    private String tarStorageTypeNo;
    /**
     * (目标)库类别代码描述
     */
    private String tarStorageTypeName;
    /**
     * (目标)作业科室代码
     */
    private String tarManagementNo;
    /**
     * (目标)作业科室名称
     */
    private String tarManagementName;
    /**
     * (目标)接收确认标志（0未接收、1已接收）
     */
    private String tarRecFlag;
    /**
     * 生产下线时间
     */
    private String rpoTime;
    /**
     * 生产班次
     */
    private String proBc;
    /**
     * 生产班组
     */
    private String proBz;
    /**
     * 入库时间
     */
    private String instockTime;
    /**
     * 入库班次
     */
    private String inBc;
    /**
     * 入库班组
     */
    private String inBz;
    /**
     * 出库时间
     */
    private String outstockTime;
    /**
     * 出库班次
     */
    private String outBc;
    /**
     * 出库班组
     */
    private String outBz;
    /**
     * 备注
     */
    private String memo;
    /**
     * 手工出库标志
     */
    private String handFlag;
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag;
    /**
     * 创建人
     */
    private String createName;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 修改时间
     */
    private String updateTime;
    /**
     * 删除人
     */
    private String deleteName;
    /**
     * 删除时间
     */
    private String deleteTime;
    /**
     * 合同主键
     */
    private String ordPk;
    /**
     * 合同行主键
     */
    private String ordLnPk;
    /**
     * 交货行主键
     */
    private String ordLnDlyPk;
    /**
     * (出库)作业部门代码
     */
    private String departmentCode;
    /**
     * (出库)作业部门名称
     */
    private String departmentDesc;
    /**
     * (目标)作业部门代码
     */
    private String tarDepartmentCode;
    /**
     * (目标)作业部门描叙
     */
    private String tarDepartmentDesc;
    /**
     * 合同号
     */
    private String orderNo;
    /**
     * 合同行号
     */
    private String orderSeq;
    /**
     * 合同子行号
     */
    private String deliveryNo;
    /**
     * (出库)材料类别（8014在制品、成品、商品）
     */
    private String productFlag;
    /**
     * (出库)材料状态（801501在制品阶段、801502成品、801503商品...）
     */
    private String matStatus;
    /**
     * 判定标准
     */
    private String judgeStdName;
    /**
     * 判定标准代码
     */
    private String judgeStdCode;
    /**
     * 过磅单号
     */
    private String ponderNo;
    /**
     * 过磅重量
     */
    private String ponderGrossWt;
    /**
     * 装运点
     */
    private String vstel;
    /**
     * 装运点描述
     */
    private String vstelDesc;
    /**
     * 出库流水号
     */
    private String outstockSqe;
    /**
     * 出库指示号(出库计划号)
     */
    private String outstockPlanNo;
    /**
     * 出库单编号
     */
    private String outstockDoc;
    /**
     * 出库类型代码
     */
    private String outstockTypeCode;
    /**
     * 出库类型名称(倒库出库、销售出库、退料红冲、盘亏出库、投料出库、)
     */
    private String outstockTypeName;
    /**
     * IC卡号
     */
    private String iccarNo;
    /**
     * 车牌号
     */
    private String vehicleNo;
    /**
     * 材料号
     */
    private String matNo;
    /**
     * 生产批号
     */
    private String lotNo;
    /**
     * 熔炼炉号
     */
    private String stoveNo;
    private String sendNum;
    private String finishproMold;
    private String inMold;
    public String getFinishproMold() {
        return finishproMold;
    }

    public void setFinishproMold(String finishproMold) {
        this.finishproMold = finishproMold;
    }

    public String getInMold() {
        return inMold;
    }

    public void setInMold(String inMold) {
        this.inMold = inMold;
    }

    public String getmBillNo() {
        return mBillNo;
    }

    public void setmBillNo(String mBillNo) {
        this.mBillNo = mBillNo;
    }

    public String getSendNum() {
        return sendNum;
    }

    public void setSendNum(String sendNum) {
        this.sendNum = sendNum;
    }
    private String actFixNum;
    private String actFixLen;
    
    public String getActFixNum() {
        return actFixNum;
    }

    public void setActFixNum(String actFixNum) {
        this.actFixNum = actFixNum;
    }

    public String getActFixLen() {
        return actFixLen;
    }

    public void setActFixLen(String actFixLen) {
        this.actFixLen = actFixLen;
    }

    public YdmZcOutlistEntity1() {
        balYearMonth = "";
        mBillNo = "";
        judgeStoveNo = "";
        batchNo = "";
        batchGroudNo = "";
        materialNo = "";
        materialName = "";
        produccode = "";
        producname = "";
        stdCode = "";
        stdName = "";
        gradecode = "";
        gradename = "";
        steelcode = "";
        steelname = "";
        stdStyle = "";
        stdStyleDesc = "";
        specCode = "";
        specName = "";
        modelCode = "";
        modelDesc = "";
        proOrderNo = "";
        plineCode = "";
        plineName = "";
        actDimater = "";
        actHeight = "";
        actLen = "";
        actLenMin = "";
        actLenMax = "";
        actCount = "";
        actWeight = "";
        actTheoryWeight = "";
        belongCode = "";
        belongName = "";
        barCode = "";
        storageNo = "";
        locationNo = "";
        laryNo = "";
        locNo = "";
        storageAttr = "";
        storageAttrName = "";
        storageTypeNo = "";
        storageTypeName = "";
        managementNo = "";
        managementName = "";
        tarStorageNo = "";
        tarLocationNo = "";
        tarLaryNo = "";
        tarLocNo = "";
        tarStorageAttr = "";
        tarStorageAttrName = "";
        tarStorageTypeNo = "";
        tarStorageTypeName = "";
        tarManagementNo = "";
        tarManagementName = "";
        tarRecFlag = "";
        rpoTime = "";
        proBc = "";
        proBz = "";
        instockTime = "";
        inBc = "";
        inBz = "";
        outstockTime = "";
        outBc = "";
        outBz = "";
        memo = "";
        handFlag = "";
        validflag = "";
        createName = "";
        createTime = "";
        updateName = "";
        updateTime = "";
        deleteName = "";
        deleteTime = "";
        ordPk = "";
        ordLnPk = "";
        ordLnDlyPk = "";
        departmentCode = "";
        departmentDesc = "";
        tarDepartmentCode = "";
        tarDepartmentDesc = "";
        orderNo = "";
        orderSeq = "";
        deliveryNo = "";
        productFlag = "";
        matStatus = "";
        judgeStdName = "";
        judgeStdCode = "";
        ponderNo = "";
        ponderGrossWt = "";
        vstel = "";
        vstelDesc = "";
        outstockSqe = "";
        outstockPlanNo = "";
        outstockDoc = "";
        outstockTypeCode = "";
        outstockTypeName = "";
        iccarNo = "";
        vehicleNo = "";
        matNo = "";
        lotNo = "";
        stoveNo = "";
    }

    /**
     * 结算日期（年月）例201510
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）例201510
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 装车皮倒运提货单号
     * @return value
     */
    public String getMBillNo() {
        return mBillNo;
    }

    /**
     * 装车皮倒运提货单号
     * @param mBillNo value
     */
    public void setMBillNo(String mBillNo) {
        this.mBillNo = mBillNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号（炉批号）
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号（炉批号）
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 组号(规格分的组号)--炉批行----性能批号(重点)---
     * @return value
     */
    public String getBatchGroudNo() {
        return batchGroudNo;
    }

    /**
     * 组号(规格分的组号)--炉批行----性能批号(重点)---
     * @param batchGroudNo value
     */
    public void setBatchGroudNo(String batchGroudNo) {
        this.batchGroudNo = batchGroudNo;
    }

    /**
     * 物料码
     * @return value
     */
    public String getMaterialNo() {
        return materialNo;
    }

    /**
     * 物料码
     * @param materialNo value
     */
    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    /**
     * 物料描叙
     * @return value
     */
    public String getMaterialName() {
        return materialName;
    }

    /**
     * 物料描叙
     * @param materialName value
     */
    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 标准类别代码
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 标准类别代码
     * @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 标准类别描述(PSL1....)
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述(PSL1....)
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 产品规格代码
     * @return value
     */
    public String getSpecCode() {
        return specCode;
    }

    /**
     * 产品规格代码
     * @param specCode value
     */
    public void setSpecCode(String specCode) {
        this.specCode = specCode;
    }

    /**
     * 产品规格描述
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 产品规格描述
     * @param specName value
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 生产合同号
     * @return value
     */
    public String getProOrderNo() {
        return proOrderNo;
    }

    /**
     * 生产合同号
     * @param proOrderNo value
     */
    public void setProOrderNo(String proOrderNo) {
        this.proOrderNo = proOrderNo;
    }

    /**
     * 产线代码（机组）
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码（机组）
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 外径(实际)
     * @return value
     */
    public String getActDimater() {
        return actDimater;
    }

    /**
     * 外径(实际)
     * @param actDimater value
     */
    public void setActDimater(String actDimater) {
        this.actDimater = actDimater;
    }

    /**
     * 壁厚(实际)
     * @return value
     */
    public String getActHeight() {
        return actHeight;
    }

    /**
     * 壁厚(实际)
     * @param actHeight value
     */
    public void setActHeight(String actHeight) {
        this.actHeight = actHeight;
    }

    /**
     * 长度(实际)
     * @return value
     */
    public String getActLen() {
        return actLen;
    }

    /**
     * 长度(实际)
     * @param actLen value
     */
    public void setActLen(String actLen) {
        this.actLen = actLen;
    }

    /**
     * 长度下限(实际)
     * @return value
     */
    public String getActLenMin() {
        return actLenMin;
    }

    /**
     * 长度下限(实际)
     * @param actLenMin value
     */
    public void setActLenMin(String actLenMin) {
        this.actLenMin = actLenMin;
    }

    /**
     * 长度上限(实际)
     * @return value
     */
    public String getActLenMax() {
        return actLenMax;
    }

    /**
     * 长度上限(实际)
     * @param actLenMax value
     */
    public void setActLenMax(String actLenMax) {
        this.actLenMax = actLenMax;
    }

    /**
     * 材料支数(实际)
     * @return value
     */
    public String getActCount() {
        return actCount;
    }

    /**
     * 材料支数(实际)
     * @param actCount value
     */
    public void setActCount(String actCount) {
        this.actCount = actCount;
    }

    /**
     * 材料实重(实际)
     * @return value
     */
    public String getActWeight() {
        return actWeight;
    }

    /**
     * 材料实重(实际)
     * @param actWeight value
     */
    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    /**
     * 材料理论重量(实际)
     * @return value
     */
    public String getActTheoryWeight() {
        return actTheoryWeight;
    }

    /**
     * 材料理论重量(实际)
     * @param actTheoryWeight value
     */
    public void setActTheoryWeight(String actTheoryWeight) {
        this.actTheoryWeight = actTheoryWeight;
    }

    /**
     * 所属权单位代码
     * @return value
     */
    public String getBelongCode() {
        return belongCode;
    }

    /**
     * 所属权单位代码
     * @param belongCode value
     */
    public void setBelongCode(String belongCode) {
        this.belongCode = belongCode;
    }

    /**
     * 所属权单位
     * @return value
     */
    public String getBelongName() {
        return belongName;
    }

    /**
     * 所属权单位
     * @param belongName value
     */
    public void setBelongName(String belongName) {
        this.belongName = belongName;
    }

    /**
     * 条码号
     * @return value
     */
    public String getBarCode() {
        return barCode;
    }

    /**
     * 条码号
     * @param barCode value
     */
    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    /**
     * (出库)仓库代码
     * @return value
     */
    public String getStorageNo() {
        return storageNo;
    }

    /**
     * (出库)仓库代码
     * @param storageNo value
     */
    public void setStorageNo(String storageNo) {
        this.storageNo = storageNo;
    }

    /**
     * (出库)库位代码
     * @return value
     */
    public String getLocationNo() {
        return locationNo;
    }

    /**
     * (出库)库位代码
     * @param locationNo value
     */
    public void setLocationNo(String locationNo) {
        this.locationNo = locationNo;
    }

    /**
     * (出库)层号
     * @return value
     */
    public String getLaryNo() {
        return laryNo;
    }

    /**
     * (出库)层号
     * @param laryNo value
     */
    public void setLaryNo(String laryNo) {
        this.laryNo = laryNo;
    }

    /**
     * (出库)位置
     * @return value
     */
    public String getLocNo() {
        return locNo;
    }

    /**
     * (出库)位置
     * @param locNo value
     */
    public void setLocNo(String locNo) {
        this.locNo = locNo;
    }

    /**
     * (出库)仓库类型（8003 离线库 、投料库、中间库、在线库、成品库）
     * @return value
     */
    public String getStorageAttr() {
        return storageAttr;
    }

    /**
     * (出库)仓库类型（8003 离线库 、投料库、中间库、在线库、成品库）
     * @param storageAttr value
     */
    public void setStorageAttr(String storageAttr) {
        this.storageAttr = storageAttr;
    }

    /**
     * (出库)仓库类型描述
     * @return value
     */
    public String getStorageAttrName() {
        return storageAttrName;
    }

    /**
     * (出库)仓库类型描述
     * @param storageAttrName value
     */
    public void setStorageAttrName(String storageAttrName) {
        this.storageAttrName = storageAttrName;
    }

    /**
     * (出库)库类别代码(8002 管、坯、原料库、合金辅料库、工具库
     * @return value
     */
    public String getStorageTypeNo() {
        return storageTypeNo;
    }

    /**
     * (出库)库类别代码(8002 管、坯、原料库、合金辅料库、工具库
     * @param storageTypeNo value
     */
    public void setStorageTypeNo(String storageTypeNo) {
        this.storageTypeNo = storageTypeNo;
    }

    /**
     * (出库)库类别代码描述
     * @return value
     */
    public String getStorageTypeName() {
        return storageTypeName;
    }

    /**
     * (出库)库类别代码描述
     * @param storageTypeName value
     */
    public void setStorageTypeName(String storageTypeName) {
        this.storageTypeName = storageTypeName;
    }

    /**
     * (出库)作业科室代码
     * @return value
     */
    public String getManagementNo() {
        return managementNo;
    }

    /**
     * (出库)作业科室代码
     * @param managementNo value
     */
    public void setManagementNo(String managementNo) {
        this.managementNo = managementNo;
    }

    /**
     * (出库)作业科室名称
     * @return value
     */
    public String getManagementName() {
        return managementName;
    }

    /**
     * (出库)作业科室名称
     * @param managementName value
     */
    public void setManagementName(String managementName) {
        this.managementName = managementName;
    }

    /**
     * (目标)仓库代码
     * @return value
     */
    public String getTarStorageNo() {
        return tarStorageNo;
    }

    /**
     * (目标)仓库代码
     * @param tarStorageNo value
     */
    public void setTarStorageNo(String tarStorageNo) {
        this.tarStorageNo = tarStorageNo;
    }

    /**
     * (目标)库位代码
     * @return value
     */
    public String getTarLocationNo() {
        return tarLocationNo;
    }

    /**
     * (目标)库位代码
     * @param tarLocationNo value
     */
    public void setTarLocationNo(String tarLocationNo) {
        this.tarLocationNo = tarLocationNo;
    }

    /**
     * (目标)层号
     * @return value
     */
    public String getTarLaryNo() {
        return tarLaryNo;
    }

    /**
     * (目标)层号
     * @param tarLaryNo value
     */
    public void setTarLaryNo(String tarLaryNo) {
        this.tarLaryNo = tarLaryNo;
    }

    /**
     * (目标)位置
     * @return value
     */
    public String getTarLocNo() {
        return tarLocNo;
    }

    /**
     * (目标)位置
     * @param tarLocNo value
     */
    public void setTarLocNo(String tarLocNo) {
        this.tarLocNo = tarLocNo;
    }

    /**
     * (目标)仓库类型（8003 离线库 、投料库、中间库、在线库、成品库）
     * @return value
     */
    public String getTarStorageAttr() {
        return tarStorageAttr;
    }

    /**
     * (目标)仓库类型（8003 离线库 、投料库、中间库、在线库、成品库）
     * @param tarStorageAttr value
     */
    public void setTarStorageAttr(String tarStorageAttr) {
        this.tarStorageAttr = tarStorageAttr;
    }

    /**
     * (目标)仓库类型描述
     * @return value
     */
    public String getTarStorageAttrName() {
        return tarStorageAttrName;
    }

    /**
     * (目标)仓库类型描述
     * @param tarStorageAttrName value
     */
    public void setTarStorageAttrName(String tarStorageAttrName) {
        this.tarStorageAttrName = tarStorageAttrName;
    }

    /**
     * (目标)库类别代码(8002 管、坯、原料库、合金辅料库、工具库
     * @return value
     */
    public String getTarStorageTypeNo() {
        return tarStorageTypeNo;
    }

    /**
     * (目标)库类别代码(8002 管、坯、原料库、合金辅料库、工具库
     * @param tarStorageTypeNo value
     */
    public void setTarStorageTypeNo(String tarStorageTypeNo) {
        this.tarStorageTypeNo = tarStorageTypeNo;
    }

    /**
     * (目标)库类别代码描述
     * @return value
     */
    public String getTarStorageTypeName() {
        return tarStorageTypeName;
    }

    /**
     * (目标)库类别代码描述
     * @param tarStorageTypeName value
     */
    public void setTarStorageTypeName(String tarStorageTypeName) {
        this.tarStorageTypeName = tarStorageTypeName;
    }

    /**
     * (目标)作业科室代码
     * @return value
     */
    public String getTarManagementNo() {
        return tarManagementNo;
    }

    /**
     * (目标)作业科室代码
     * @param tarManagementNo value
     */
    public void setTarManagementNo(String tarManagementNo) {
        this.tarManagementNo = tarManagementNo;
    }

    /**
     * (目标)作业科室名称
     * @return value
     */
    public String getTarManagementName() {
        return tarManagementName;
    }

    /**
     * (目标)作业科室名称
     * @param tarManagementName value
     */
    public void setTarManagementName(String tarManagementName) {
        this.tarManagementName = tarManagementName;
    }

    /**
     * (目标)接收确认标志（0未接收、1已接收）
     * @return value
     */
    public String getTarRecFlag() {
        return tarRecFlag;
    }

    /**
     * (目标)接收确认标志（0未接收、1已接收）
     * @param tarRecFlag value
     */
    public void setTarRecFlag(String tarRecFlag) {
        this.tarRecFlag = tarRecFlag;
    }

    /**
     * 生产下线时间
     * @return value
     */
    public String getRpoTime() {
        return rpoTime;
    }

    /**
     * 生产下线时间
     * @param rpoTime value
     */
    public void setRpoTime(String rpoTime) {
        this.rpoTime = rpoTime;
    }

    /**
     * 生产班次
     * @return value
     */
    public String getProBc() {
        return proBc;
    }

    /**
     * 生产班次
     * @param proBc value
     */
    public void setProBc(String proBc) {
        this.proBc = proBc;
    }

    /**
     * 生产班组
     * @return value
     */
    public String getProBz() {
        return proBz;
    }

    /**
     * 生产班组
     * @param proBz value
     */
    public void setProBz(String proBz) {
        this.proBz = proBz;
    }

    /**
     * 入库时间
     * @return value
     */
    public String getInstockTime() {
        return instockTime;
    }

    /**
     * 入库时间
     * @param instockTime value
     */
    public void setInstockTime(String instockTime) {
        this.instockTime = instockTime;
    }

    /**
     * 入库班次
     * @return value
     */
    public String getInBc() {
        return inBc;
    }

    /**
     * 入库班次
     * @param inBc value
     */
    public void setInBc(String inBc) {
        this.inBc = inBc;
    }

    /**
     * 入库班组
     * @return value
     */
    public String getInBz() {
        return inBz;
    }

    /**
     * 入库班组
     * @param inBz value
     */
    public void setInBz(String inBz) {
        this.inBz = inBz;
    }

    /**
     * 出库时间
     * @return value
     */
    public String getOutstockTime() {
        return outstockTime;
    }

    /**
     * 出库时间
     * @param outstockTime value
     */
    public void setOutstockTime(String outstockTime) {
        this.outstockTime = outstockTime;
    }

    /**
     * 出库班次
     * @return value
     */
    public String getOutBc() {
        return outBc;
    }

    /**
     * 出库班次
     * @param outBc value
     */
    public void setOutBc(String outBc) {
        this.outBc = outBc;
    }

    /**
     * 出库班组
     * @return value
     */
    public String getOutBz() {
        return outBz;
    }

    /**
     * 出库班组
     * @param outBz value
     */
    public void setOutBz(String outBz) {
        this.outBz = outBz;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 手工出库标志
     * @return value
     */
    public String getHandFlag() {
        return handFlag;
    }

    /**
     * 手工出库标志
     * @param handFlag value
     */
    public void setHandFlag(String handFlag) {
        this.handFlag = handFlag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 合同主键
     * @return value
     */
    public String getOrdPk() {
        return ordPk;
    }

    /**
     * 合同主键
     * @param ordPk value
     */
    public void setOrdPk(String ordPk) {
        this.ordPk = ordPk;
    }

    /**
     * 合同行主键
     * @return value
     */
    public String getOrdLnPk() {
        return ordLnPk;
    }

    /**
     * 合同行主键
     * @param ordLnPk value
     */
    public void setOrdLnPk(String ordLnPk) {
        this.ordLnPk = ordLnPk;
    }

    /**
     * 交货行主键
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * 交货行主键
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * (出库)作业部门代码
     * @return value
     */
    public String getDepartmentCode() {
        return departmentCode;
    }

    /**
     * (出库)作业部门代码
     * @param departmentCode value
     */
    public void setDepartmentCode(String departmentCode) {
        this.departmentCode = departmentCode;
    }

    /**
     * (出库)作业部门名称
     * @return value
     */
    public String getDepartmentDesc() {
        return departmentDesc;
    }

    /**
     * (出库)作业部门名称
     * @param departmentDesc value
     */
    public void setDepartmentDesc(String departmentDesc) {
        this.departmentDesc = departmentDesc;
    }

    /**
     * (目标)作业部门代码
     * @return value
     */
    public String getTarDepartmentCode() {
        return tarDepartmentCode;
    }

    /**
     * (目标)作业部门代码
     * @param tarDepartmentCode value
     */
    public void setTarDepartmentCode(String tarDepartmentCode) {
        this.tarDepartmentCode = tarDepartmentCode;
    }

    /**
     * (目标)作业部门描叙
     * @return value
     */
    public String getTarDepartmentDesc() {
        return tarDepartmentDesc;
    }

    /**
     * (目标)作业部门描叙
     * @param tarDepartmentDesc value
     */
    public void setTarDepartmentDesc(String tarDepartmentDesc) {
        this.tarDepartmentDesc = tarDepartmentDesc;
    }

    /**
     * 合同号
     * @return value
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 合同号
     * @param orderNo value
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 合同行号
     * @return value
     */
    public String getOrderSeq() {
        return orderSeq;
    }

    /**
     * 合同行号
     * @param orderSeq value
     */
    public void setOrderSeq(String orderSeq) {
        this.orderSeq = orderSeq;
    }

    /**
     * 合同子行号
     * @return value
     */
    public String getDeliveryNo() {
        return deliveryNo;
    }

    /**
     * 合同子行号
     * @param deliveryNo value
     */
    public void setDeliveryNo(String deliveryNo) {
        this.deliveryNo = deliveryNo;
    }

    /**
     * (出库)材料类别（8014在制品、成品、商品）
     * @return value
     */
    public String getProductFlag() {
        return productFlag;
    }

    /**
     * (出库)材料类别（8014在制品、成品、商品）
     * @param productFlag value
     */
    public void setProductFlag(String productFlag) {
        this.productFlag = productFlag;
    }

    /**
     * (出库)材料状态（801501在制品阶段、801502成品、801503商品...）
     * @return value
     */
    public String getMatStatus() {
        return matStatus;
    }

    /**
     * (出库)材料状态（801501在制品阶段、801502成品、801503商品...）
     * @param matStatus value
     */
    public void setMatStatus(String matStatus) {
        this.matStatus = matStatus;
    }

    /**
     * 判定标准
     * @return value
     */
    public String getJudgeStdName() {
        return judgeStdName;
    }

    /**
     * 判定标准
     * @param judgeStdName value
     */
    public void setJudgeStdName(String judgeStdName) {
        this.judgeStdName = judgeStdName;
    }

    /**
     * 判定标准代码
     * @return value
     */
    public String getJudgeStdCode() {
        return judgeStdCode;
    }

    /**
     * 判定标准代码
     * @param judgeStdCode value
     */
    public void setJudgeStdCode(String judgeStdCode) {
        this.judgeStdCode = judgeStdCode;
    }

    /**
     * 过磅单号
     * @return value
     */
    public String getPonderNo() {
        return ponderNo;
    }

    /**
     * 过磅单号
     * @param ponderNo value
     */
    public void setPonderNo(String ponderNo) {
        this.ponderNo = ponderNo;
    }

    /**
     * 过磅重量
     * @return value
     */
    public String getPonderGrossWt() {
        return ponderGrossWt;
    }

    /**
     * 过磅重量
     * @param ponderGrossWt value
     */
    public void setPonderGrossWt(String ponderGrossWt) {
        this.ponderGrossWt = ponderGrossWt;
    }

    /**
     * 装运点
     * @return value
     */
    public String getVstel() {
        return vstel;
    }

    /**
     * 装运点
     * @param vstel value
     */
    public void setVstel(String vstel) {
        this.vstel = vstel;
    }

    /**
     * 装运点描述
     * @return value
     */
    public String getVstelDesc() {
        return vstelDesc;
    }

    /**
     * 装运点描述
     * @param vstelDesc value
     */
    public void setVstelDesc(String vstelDesc) {
        this.vstelDesc = vstelDesc;
    }

    /**
     * 出库流水号
     * @return value
     */
    public String getOutstockSqe() {
        return outstockSqe;
    }

    /**
     * 出库流水号
     * @param outstockSqe value
     */
    public void setOutstockSqe(String outstockSqe) {
        this.outstockSqe = outstockSqe;
    }

    /**
     * 出库指示号(出库计划号)
     * @return value
     */
    public String getOutstockPlanNo() {
        return outstockPlanNo;
    }

    /**
     * 出库指示号(出库计划号)
     * @param outstockPlanNo value
     */
    public void setOutstockPlanNo(String outstockPlanNo) {
        this.outstockPlanNo = outstockPlanNo;
    }

    /**
     * 出库单编号
     * @return value
     */
    public String getOutstockDoc() {
        return outstockDoc;
    }

    /**
     * 出库单编号
     * @param outstockDoc value
     */
    public void setOutstockDoc(String outstockDoc) {
        this.outstockDoc = outstockDoc;
    }

    /**
     * 出库类型代码
     * @return value
     */
    public String getOutstockTypeCode() {
        return outstockTypeCode;
    }

    /**
     * 出库类型代码
     * @param outstockTypeCode value
     */
    public void setOutstockTypeCode(String outstockTypeCode) {
        this.outstockTypeCode = outstockTypeCode;
    }

    /**
     * 出库类型名称(倒库出库、销售出库、退料红冲、盘亏出库、投料出库、)
     * @return value
     */
    public String getOutstockTypeName() {
        return outstockTypeName;
    }

    /**
     * 出库类型名称(倒库出库、销售出库、退料红冲、盘亏出库、投料出库、)
     * @param outstockTypeName value
     */
    public void setOutstockTypeName(String outstockTypeName) {
        this.outstockTypeName = outstockTypeName;
    }

    /**
     * IC卡号
     * @return value
     */
    public String getIccarNo() {
        return iccarNo;
    }

    /**
     * IC卡号
     * @param iccarNo value
     */
    public void setIccarNo(String iccarNo) {
        this.iccarNo = iccarNo;
    }

    /**
     * 车牌号
     * @return value
     */
    public String getVehicleNo() {
        return vehicleNo;
    }

    /**
     * 车牌号
     * @param vehicleNo value
     */
    public void setVehicleNo(String vehicleNo) {
        this.vehicleNo = vehicleNo;
    }

    /**
     * 材料号
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 材料号
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }
    private String supplyUnitCode;

    public String getSupplyUnitCode() {
        return supplyUnitCode;
    }

    public void setSupplyUnitCode(String supplyUnitCode) {
        this.supplyUnitCode = supplyUnitCode;
    }
}
